### Method

# ECal ComponentAlarm set_action

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_set_action (
      ECalComponentAlarm* alarm,
      ECalComponentAlarmAction action
    )

#### Description [src]

Set the `alarm` action, as an `ECalComponentAlarmAction`.

Available since: 3.34

#### Parameters

`action`

  Type: `ECalComponentAlarmAction`

  An `ECalComponentAlarmAction`.